summaryrefslogtreecommitdiffstats
path: root/target
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-04-05 02:09:22 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-04-05 02:09:22 +0000
commit676c017ecfced2e37aeec176f8aa6b9df90024f3 (patch)
treef5913675e5868c535c007efb3e09a01ce6890287 /target
parent71d39e274f5c2847a1b2eedd4afa8e298029f93d (diff)
large init script cleanup and merge of whiterussian changes, new dnsmasq config handling
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@3588 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target')
-rw-r--r--target/linux/package/base-files/files/ar7-2.4/etc/network.overrides28
-rw-r--r--target/linux/package/base-files/files/aruba-2.6/etc/network.overrides26
-rwxr-xr-xtarget/linux/package/base-files/files/brcm-2.4/etc/init.d/S04nvram66
-rwxr-xr-xtarget/linux/package/base-files/files/brcm-2.4/etc/init.d/S05netconfig4
-rwxr-xr-xtarget/linux/package/base-files/files/brcm-2.4/etc/init.d/S05nvram166
-rw-r--r--target/linux/package/base-files/files/brcm-2.4/etc/network.overrides41
-rwxr-xr-xtarget/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig4
-rw-r--r--target/linux/package/base-files/files/brcm-2.6/etc/network.overrides31
-rw-r--r--target/linux/package/base-files/files/x86-2.4/etc/network.overrides26
-rw-r--r--target/linux/package/base-files/files/x86-2.6/etc/network.overrides26
10 files changed, 72 insertions, 346 deletions
diff --git a/target/linux/package/base-files/files/ar7-2.4/etc/network.overrides b/target/linux/package/base-files/files/ar7-2.4/etc/network.overrides
deleted file mode 100644
index 9aa74aa93..000000000
--- a/target/linux/package/base-files/files/ar7-2.4/etc/network.overrides
+++ /dev/null
@@ -1,28 +0,0 @@
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-DEFAULT_lan_proto="static"
-DEFAULT_lan_ifname="br0"
-DEFAULT_lan_ifnames="eth0"
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=`echo $(strings /dev/mtdblock/3 | grep -A1 maca | grep :)`
-DEFAULT_lan_hwaddr=${DEFAULT_lan_hwaddr##* }
-DEFAULT_lan_hwaddr=${DEFAULT_lan_hwaddr:-${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}}
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname=${DEFAULT_lan_proto}
- lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}
diff --git a/target/linux/package/base-files/files/aruba-2.6/etc/network.overrides b/target/linux/package/base-files/files/aruba-2.6/etc/network.overrides
deleted file mode 100644
index 2df6acdd3..000000000
--- a/target/linux/package/base-files/files/aruba-2.6/etc/network.overrides
+++ /dev/null
@@ -1,26 +0,0 @@
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-DEFAULT_lan_proto="static"
-DEFAULT_lan_ifname="br0"
-DEFAULT_lan_ifnames="eth0"
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-# DEFAULT_lan_hwaddr=${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname=${DEFAULT_lan_proto}
- lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}
diff --git a/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S04nvram b/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S04nvram
new file mode 100755
index 000000000..4de124735
--- /dev/null
+++ b/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S04nvram
@@ -0,0 +1,66 @@
+#!/bin/sh
+# NVRAM setup
+#
+# This file handles the NVRAM quirks of various hardware.
+
+# WGT634u
+grep 'mtd0: 00060000' /proc/mtd 2>&- >&- && exit
+
+alias debug=${DEBUG:-:}
+
+nvram_default() {
+ [ -z "$(nvram get $1)" ] && nvram set "$1=$2"
+}
+
+nvram_set() { # for the linksys fixup part
+ [ "$(nvram get "$1")" = "$2" -a "$2" != "" ] || {
+ COMMIT=1
+ /usr/sbin/nvram set "$1=$2"
+ }
+}
+
+# work around braindead CFE defaults in linksys routers
+boardtype=$(nvram get boardtype)
+boardnum=$(nvram get boardnum)
+boardflags=$(($(nvram get boardflags)))
+adm_switch="$(( ($boardflags & 0x80) >> 7 ))"
+
+case "$(( $boardtype ))" in
+ "1800") #0x708
+ if [ "$adm_switch" = 0 ]; then
+ nvram_set sdram_init "$(printf 0x%04x $(( $(/usr/sbin/nvram get sdram_init) | 0x0100 )))"
+ [ "$COMMIT" = 1 ] && {
+ nvram_set sdram_config 0x0062
+ nvram_set clkfreq 216
+ nvram_set sdram_ncdl 0x0
+ nvram_set pa0itssit 62
+ nvram_set pa0b0 0x15eb
+ nvram_set pa0b1 0xfa82
+ nvram_set pa0b2 0xfe66
+ nvram_set pa0maxpwr 0x4e
+ }
+ fi
+ ;;
+ "1127") #0x467
+ nvram_set sdram_init "$(printf 0x%04x $(( $(/usr/sbin/nvram get sdram_init) | 0x0100 )))"
+ [ "$COMMIT" = 1 ] && {
+ nvram_set sdram_config 0x0062
+ nvram_set sdram_ncdl 0x0
+ nvram_set pa0itssit 62
+ nvram_set pa0b0 0x168b
+ nvram_set pa0b1 0xfabf
+ nvram_set pa0b2 0xfeaf
+ nvram_set pa0maxpwr 0x4e
+ }
+ ;;
+esac
+[ "$COMMIT" = "1" ] && nvram commit
+
+# hack for some motorola routers
+nvram unset wl0gpio0
+
+[ "$(nvram get il0macaddr)" = "00:90:4c:5f:00:2a" ] && {
+ # if default wifi mac, set two higher than the lan mac
+ nvram set il0macaddr=$(nvram get et0macaddr|
+ awk '{OFS=FS=":";for(x=7,y=2;--x;){$x=sprintf("%02x",(y+="0x"$x)%256);y/=256}print}')
+}
diff --git a/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S05netconfig b/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S05netconfig
index 51be73b5b..6a626f54a 100755
--- a/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S05netconfig
+++ b/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S05netconfig
@@ -50,7 +50,7 @@ END {
c["vlan1ports"] = "4 5"
c["lan_ifnames"] = "vlan0 ath0"
}
- if (nvram["boardtype"] == "0x0467") {
+ if ((nvram["boardtype"] == "0x0467") || (nvram["boardtype"] == "0x042f")) {
c["vlan0ports"] = "0 1 2 3 5*"
c["vlan1ports"] = "4 5"
}
@@ -101,6 +101,8 @@ END {
print ""
print "## PPP over Ethernet and PPTP"
print "# wan_ifname=\"ppp0\""
+ print "# ppp_username=\"my_username\""
+ print "# ppp_passwd=\"my_password\""
print "# pptp_server_ip=\"192.168.0.1\""
}
' > /etc/config/network
diff --git a/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S05nvram b/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S05nvram
deleted file mode 100755
index b985948d7..000000000
--- a/target/linux/package/base-files/files/brcm-2.4/etc/init.d/S05nvram
+++ /dev/null
@@ -1,166 +0,0 @@
-#!/bin/sh
-# NVRAM setup
-#
-# This file handles the NVRAM quirks of various hardware.
-
-. /etc/network.overrides
-alias debug=${DEBUG:-:}
-
-# WGT634u
-grep 'mtd0: 00060000' /proc/mtd 2>&- >&- && exit
-
-remap () {
- for type in lan wifi wan pppoe
- do
- for s in '' s
- do
- eval nvram set ${type}_ifname$s=\"$(nvram get ${type}_ifname$s|sed s/$1/$2/g)\"
- done
- done
-}
-
-nvram_default() {
- [ -z "$(nvram get $1)" ] && nvram set "$1=$2"
-}
-
-nvram_set() { # for the linksys fixup part
- [ "$(nvram get "$1")" = "$2" -a "$2" != "" ] || {
- COMMIT=1
- /usr/sbin/nvram set "$1=$2"
- }
-}
-
-# work around braindead CFE defaults in linksys routers
-boardtype=$(nvram get boardtype)
-boardflags=$(($(nvram get boardflags)))
-[ "$boardtype" = "bcm94710dev" ] && boardtype="0xdeadbeef"
-adm_switch="$(( ($boardflags & 0x80) >> 7 ))"
-case "$(( $boardtype ))" in
- "$((0x708))")
- if [ "$adm_switch" = 0 ]; then
- nvram_set sdram_init "$(printf 0x%04x $(( $(/usr/sbin/nvram get sdram_init) | 0x0100 )))"
- [ "$COMMIT" = 1 ] && {
- nvram_set sdram_config 0x0062
- nvram_set clkfreq 216
- nvram_set sdram_ncdl 0x0
- nvram_set pa0itssit 62
- nvram_set pa0b0 0x15eb
- nvram_set pa0b1 0xfa82
- nvram_set pa0b2 0xfe66
- nvram_set pa0maxpwr 0x4e
- }
- fi
- ;;
- "$((0x467))")
- nvram_set sdram_init "$(printf 0x%04x $(( $(/usr/sbin/nvram get sdram_init) | 0x0100 )))"
- [ "$COMMIT" = 1 ] && {
- nvram_set sdram_config 0x0062
- nvram_set sdram_ncdl 0x0
- nvram_set pa0itssit 62
- nvram_set pa0b0 0x168b
- nvram_set pa0b1 0xfabf
- nvram_set pa0b2 0xfeaf
- nvram_set pa0maxpwr 0x4e
- }
- ;;
-esac
-[ "$COMMIT" = "1" ] && nvram commit
-
-
-# linksys bug; remove when not using static configuration for lan
-nvram set lan_proto="static"
-
-# hacks for wrt54g 1.x hardware
-[ "$(nvram get boardnum)" = "42" \
--a "$(nvram get boardtype)" = "bcm94710dev" ] && {
- debug "### wrt54g 1.x hack ###"
- nvram set vlan1hwname="et0"
- nvram set vlan2hwname="et0"
- remap eth0 vlan2
- remap eth1 vlan1
-}
-
-# hacks for asus wl-500g deluxe
-[ "$(nvram get boardtype)" = "bcm95365r" \
--a "$(nvram get boardnum)" = "45" ] && {
- debug "### wl-500g deluxe hacks ###"
- nvram set vlan0hwname="et0"
- nvram set vlan1hwname="et0"
- remap eth0.1 vlan0
- remap eth0 vlan1
-
- # set up the vlan*ports variables for the asus wl-500g deluxe
- # if they don't already exist
- nvram_default vlan0ports "1 2 3 4 5*"
- nvram_default vlan1ports "0 5"
-}
-
-# hacks for asus
-case "$(nvram get productid)" in
- WL300g)
- debug "### wl-300g hacks ###"
- nvram set lan_ifnames="eth0 eth2"
- nvram set wan_ifname="none"
- ;;
- WLHDD)
- debug "### wl-hdd hacks ###"
- nvram set lan_ifnames="eth1 eth2"
- nvram set wan_ifname="none"
- ;;
- *)
- # wl-500g defaults. these are placed here, because WL-HDD and WL-300g
- # might have the same nvram settings.
- [ "$(nvram get boardnum)" = "asusX" \
- -a "$(nvram get boardtype)" = "bcm94710dev" ] && {
- nvram_default wan_device "eth1"
- }
- ;;
-esac
-
-# hacks for wap54g hardware
-[ "$(nvram get boardnum)" = "2" \
--o "$(nvram get boardnum)" = "1024" ] && {
- debug "### wap54g hack ###"
- nvram set wan_ifname="none"
-}
-
-# hacks for buffalo wla2-g54l
-[ "$(nvram get boardnum)" = "00" \
--a "$(nvram get product_name)" = "Product_name" \
--o "$(nvram get product_name)" = "WLA2-G54L" ] && {
- debug "### wla2-g54l hacks ###"
- nvram set wan_ifname="none"
- nvram set lan_ifnames="vlan0"
-}
-
-# needed at least for wrt54gs v1.1 and wrt54g v2.0, v2.2
-[ \! -z "$(nvram get boardrev)" ] && {
- nvram_default wl0id 0x4320
-}
-
-# defaults
-nvram_default lan_ifname "br0"
-nvram_default lan_ifnames "$FAILSAFE_ifnames"
-
-nvram_default wan_ifname "vlan1"
-nvram_default wan_device "vlan1"
-nvram_default wan_proto "dhcp"
-
-nvram_default wl0_ssid OpenWrt
-nvram_default wl0_mode ap
-nvram_default wl0_infra 1
-nvram_default wl0_radio 1
-
-WAN_PROTO="$(nvram get wan_proto)"
-WAN_IFNAME="$(nvram get wan_ifname)"
-case "$WAN_PROTO" in
- pp*) [ "${WAN_IFNAME%%[0-9]*}" = "ppp" ] || nvram set wan_ifname=ppp0;;
- *) [ "${WAN_IFNAME%%[0-9]*}" = "ppp" ] && nvram set wan_ifname="$(nvram get wan_device)";;
-esac
-
-[ "$(nvram get il0macaddr)" = "00:90:4c:5f:00:2a" ] && {
- # if default wifi mac, set two higher than the lan mac
- nvram set il0macaddr=$(nvram get et0macaddr|
- awk '{OFS=FS=":";for(x=7,y=2;--x;){$x=sprintf("%02x",(y+="0x"$x)%256);y/=256}print}')
-}
-
diff --git a/target/linux/package/base-files/files/brcm-2.4/etc/network.overrides b/target/linux/package/base-files/files/brcm-2.4/etc/network.overrides
deleted file mode 100644
index 72ef01265..000000000
--- a/target/linux/package/base-files/files/brcm-2.4/etc/network.overrides
+++ /dev/null
@@ -1,41 +0,0 @@
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-# hacks for wrt54g 1.x hardware
-[ "$(nvram get boardnum)" = "42" \
--a "$(nvram get boardtype)" = "bcm94710dev" ] && FAILSAFE_ifnames="vlan0 vlan2 eth2"
-
-# hacks for asus wl-500g deluxe
-[ "$(nvram get boardtype)" = "bcm95365r" \
--a "$(nvram get boardnum)" = "45" ] && FAILSAFE_ifnames="vlan0 eth1"
-
-# hacks for wap54g hardware
-[ "$(nvram get boardnum)" = "2" \
--o "$(nvram get boardnum)" = "1024" ] && FAILSAFE_ifnames="eth0 eth1"
-
-# hack for asus wl-500g hardware
-[ "$(nvram get boardnum)" = "asusX" \
--a "$(nvram get boardtype)" = "bcm94710dev" ] && FAILSAFE_ifnames="eth0 eth1 eth2"
-
-FAILSAFE_ifnames=${FAILSAFE_ifnames:-"vlan0 eth1 eth2"}
-
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname="br0"
- lan_ifnames=$FAILSAFE_ifnames
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}
diff --git a/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig b/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig
index 51be73b5b..6a626f54a 100755
--- a/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig
+++ b/target/linux/package/base-files/files/brcm-2.6/etc/init.d/S05netconfig
@@ -50,7 +50,7 @@ END {
c["vlan1ports"] = "4 5"
c["lan_ifnames"] = "vlan0 ath0"
}
- if (nvram["boardtype"] == "0x0467") {
+ if ((nvram["boardtype"] == "0x0467") || (nvram["boardtype"] == "0x042f")) {
c["vlan0ports"] = "0 1 2 3 5*"
c["vlan1ports"] = "4 5"
}
@@ -101,6 +101,8 @@ END {
print ""
print "## PPP over Ethernet and PPTP"
print "# wan_ifname=\"ppp0\""
+ print "# ppp_username=\"my_username\""
+ print "# ppp_passwd=\"my_password\""
print "# pptp_server_ip=\"192.168.0.1\""
}
' > /etc/config/network
diff --git a/target/linux/package/base-files/files/brcm-2.6/etc/network.overrides b/target/linux/package/base-files/files/brcm-2.6/etc/network.overrides
deleted file mode 100644
index ded748b26..000000000
--- a/target/linux/package/base-files/files/brcm-2.6/etc/network.overrides
+++ /dev/null
@@ -1,31 +0,0 @@
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-DEFAULT_lan_proto="static"
-DEFAULT_lan_ifname="br0"
-DEFAULT_lan_ifnames="vlan0 ath0"
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=${DEFAULT_lan_hwaddr:-${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}}
-DEFAULT_vlan0hwname="et0"
-DEFAULT_vlan1hwname="et0"
-DEFAULT_et0macaddr=$(ifconfig eth0| awk '/eth0/ {print $5 }')
-DEFAULT_wan_proto="dhcp"
-DEFAULT_wan_ifname="vlan1"
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname=${DEFAULT_lan_proto}
- lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}
diff --git a/target/linux/package/base-files/files/x86-2.4/etc/network.overrides b/target/linux/package/base-files/files/x86-2.4/etc/network.overrides
deleted file mode 100644
index e857d5b5f..000000000
--- a/target/linux/package/base-files/files/x86-2.4/etc/network.overrides
+++ /dev/null
@@ -1,26 +0,0 @@
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-DEFAULT_lan_proto="static"
-DEFAULT_lan_ifname="br0"
-DEFAULT_lan_ifnames="eth0"
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname=${DEFAULT_lan_proto}
- lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}
diff --git a/target/linux/package/base-files/files/x86-2.6/etc/network.overrides b/target/linux/package/base-files/files/x86-2.6/etc/network.overrides
deleted file mode 100644
index e857d5b5f..000000000
--- a/target/linux/package/base-files/files/x86-2.6/etc/network.overrides
+++ /dev/null
@@ -1,26 +0,0 @@
-# NVRAM overrides
-#
-# This file handles the NVRAM quirks of various hardware.
-# THIS FILE IS NOT A REPLACEMENT FOR NVRAM
-
-# Load sysconf defaults
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-DEFAULT_lan_proto="static"
-DEFAULT_lan_ifname="br0"
-DEFAULT_lan_ifnames="eth0"
-DEFAULT_lan_ipaddr=${BR2_SYSCONF_FAILSAFE_IP:-"192.168.1.1"}
-DEFAULT_lan_netmask=${BR2_SYSCONF_FAILSAFE_NETMASK:-"255.255.255.0"}
-DEFAULT_lan_hwaddr=${BR2_SYSCONF_FAILSAFE_MAC:-"00:0B:AD:0A:DD:00"}
-
-# failsafe if reset is held
-[ "$FAILSAFE" = "true" ] && {
- echo "### YOU ARE IN FAILSAFE MODE ####"
- lan_ifname=${DEFAULT_lan_proto}
- lan_ifnames=${FAILSAFE_ifnames:-${DEFAULT_lan_ifnames}}
- lan_ipaddr=$DEFAULT_lan_ipaddr
- lan_netmask=$DEFAULT_lan_netmask
- lan_hwaddr=$DEFAULT_lan_hwaddr
- wan_ifname="none"
- wifi_ifname="none"
-}